<?php
//
//	file: db_update.php
//	author: abdev
//	begin: 01/01/2013
//	version: 0.0.3 - 04/22/2013
//	licence: http://opensource.org/licenses/gpl-license.php GNU Public License
//

// ignore
define('IN_PHPBB', true);
define('UMIL_AUTO', true);
$phpbb_root_path = defined('PHPBB_ROOT_PATH') ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include $phpbb_root_path . 'common.' . $phpEx;

// start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if ( !file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx) )
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// language file which will be included when installing
$language_file = 'mods/wvw';

// name of the mod
$mod_name = 'WHW';

// name of the config variable
$version_config_name = 'wvw_version';

// logo image
$logo_img = 'images/wvw_logo_small.png';

// array of versions and actions within each
$versions = array(
	'1.0.2' => array(),
	'1.0.1' => array(),
	'1.0.0' => array(),

	'0.0.1' => array(
		'table_column_add' => array(
			array('phpbb_sessions', 'session_profile_id', array('UINT', 0)),
		),
		'cache_purge' => array(''),
	),
);

// include the UMIL Auto file, it handles the rest
include $phpbb_root_path . 'umil/umil_auto.' . $phpEx;
